BLAS/SRC/daxpy.f(3)

NAME
BLAS/SRC/daxpy.f

SYNOPSIS

  Functions/Subroutines
subroutine daxpy (n, da, dx, incx, dy, incy)
DAXPY

Function/Subroutine Documentation

  subroutine daxpy (integer n, double precision da, double precision, dimension(*) dx, integer incx, double precision, dimension(*) dy, integer incy)

DAXPY

Purpose:

    !>
    !>    DAXPY constant times a vector plus a vector.
    !>    uses unrolled loops for increments equal to one.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    DA

    !>          DA is DOUBLE PRECISION
    !>           On entry, DA specifies the scalar alpha.
    !>

    DX

    !>          DX is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of DX
    !>

    DY

    !>          DY is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCY ) )
    !>

    INCY

    !>          INCY is INTEGER
    !>         storage spacing between elements of DY
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack, 3/11/78.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Definition at line 88 of file daxpy.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.